summaryrefslogtreecommitdiff
path: root/tests.as-root/tarball-image-is-sensible.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.as-root/tarball-image-is-sensible.script')
-rwxr-xr-xtests.as-root/tarball-image-is-sensible.script35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests.as-root/tarball-image-is-sensible.script b/tests.as-root/tarball-image-is-sensible.script
new file mode 100755
index 00000000..d1245cbe
--- /dev/null
+++ b/tests.as-root/tarball-image-is-sensible.script
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# A system kind of 'rootfs-tarball' should create a tarball containing
+# all the required files
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+source "$SRCDIR/scripts/fix-committer-info"
+
+tar=$("$SRCDIR/morph" \
+ --no-default-config --config="$DATADIR/morph.conf" --verbose \
+ build-morphology test:morphs-repo tarball-links hello-tarball 2>&1 |
+ grep "system hello-tarball-rootfs is cached at" |
+ sed -nre "s/^.*system hello-tarball-rootfs is cached at (\S+)$/\1/p")
+
+extracted="$DATADIR/extracted"
+mkdir -p "$extracted"
+cd "$extracted"
+tar -xf "$tar"
+find . -mindepth 1 | LC_ALL=C sort -u | xargs ls -dF